com.google.gwt.user.client.ui

## Class UIObject.DebugIdImpl

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject.DebugIdImpl

Direct Known Subclasses:
  UIObject.DebugIdImplEnabled

Enclosing class:
  UIObject

    public static class UIObject.DebugIdImpl
    extends java.lang.Object

The implementation of the set debug id method, which does nothing by default.

### Constructor Summary

Constructors
Constructor and Description
`DebugIdImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `ensureDebugId(Element elem, java.lang.String baseID, java.lang.String id)`
`void` `ensureDebugId(UIObject uiObject, java.lang.String id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DebugIdImpl

    public DebugIdImpl()

### Method Detail

#### ensureDebugId

    public void ensureDebugId(UIObject uiObject,
                              java.lang.String id)

#### ensureDebugId

    public void ensureDebugId(Element elem,
                              java.lang.String baseID,
                              java.lang.String id)